=== modified file 'annotate/colormap.py'
--- annotate/colormap.py	2007-08-16 14:31:02 +0000
+++ annotate/colormap.py	2011-02-18 13:01:03 +0000
@@ -13,6 +13,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 import sys
 
 class AnnotateColorMap:

=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2011-02-01 17:18:37 +0000
+++ annotate/gannotate.py	2011-02-18 13:01:03 +0000
@@ -23,11 +23,11 @@
 import pango
 import re
 
-from bzrlib import patiencediff, tsort
+from bzrlib import patiencediff
 from bzrlib.errors import NoSuchRevision
 from bzrlib.revision import NULL_REVISION, CURRENT_REVISION
 
-from colormap import AnnotateColorMap, AnnotateColorSaturation
+from colormap import AnnotateColorSaturation
 from bzrlib.plugins.gtk.revisionview import RevisionView
 from bzrlib.plugins.gtk.window import Window
 
@@ -587,4 +587,4 @@
                 path = model.get_path(row)
                 self._view.set_cursor(path)
                 self._view.scroll_to_cell(path, use_align=True)
-                break
\ No newline at end of file
+                break

=== modified file 'branchview/__init__.py'
--- branchview/__init__.py	2008-01-13 14:12:49 +0000
+++ branchview/__init__.py	2011-02-18 13:01:03 +0000
@@ -1,2 +1,1 @@
-
 from treeview import *

=== modified file 'branchview/treemodel.py'
--- branchview/treemodel.py	2008-04-24 15:26:14 +0000
+++ branchview/treemodel.py	2011-02-18 13:01:03 +0000
@@ -9,7 +9,6 @@
 
 import gtk
 import gobject
-import pango
 import re
 from xml.sax.saxutils import escape
 from bzrlib.revision import NULL_REVISION
@@ -29,18 +28,18 @@
 PARENTS = 10
 CHILDREN = 11
 TAGS = 12
+AUTHORS = 13
 
 class TreeModel(gtk.GenericTreeModel):
 
-    
     def __init__ (self, branch, line_graph_data):
         gtk.GenericTreeModel.__init__(self)
         self.revisions = {}
-	self.branch = branch
+        self.branch = branch
         self.repository = branch.repository
         self.line_graph_data = line_graph_data
 
-    	if self.branch.supports_tags():
+        if self.branch.supports_tags():
             self.tags = self.branch.tags.get_reverse_tag_dict()
         else:
             self.tags = {}

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2011-02-18 11:53:18 +0000
+++ branchview/treeview.py	2011-02-18 13:01:03 +0000
@@ -6,17 +6,13 @@
 __copyright__ = "Copyright © 2005 Canonical Ltd."
 __author__    = "Daniel Schierbeck <daniel.schierbeck@gmail.com>"
 
-import sys
-import string
 import gtk
 import gobject
 import pango
-import re
 import treemodel
 from bzrlib import ui
 
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.ui import GtkProgressBar, ProgressPanel
+from bzrlib.plugins.gtk.ui import ProgressPanel
 from linegraph import linegraph, same_branch
 from graphcell import CellRendererGraph
 from treemodel import TreeModel

=== modified file 'conflicts.py'
--- conflicts.py	2008-05-05 18:16:46 +0000
+++ conflicts.py	2011-02-18 13:01:03 +0000
@@ -29,10 +29,11 @@
 from bzrlib.plugins.gtk import _i18n
 
 from dialog import error_dialog, warning_dialog
-from errors import show_bzr_error
+
 
 class ConflictsDialog(gtk.Dialog):
     """ This dialog displays the list of conflicts. """
+
     def __init__(self, wt, parent=None):
         """ Initialize the Conflicts dialog. """
         gtk.Dialog.__init__(self, title="Conflicts - Olive",

=== modified file 'errors.py'
--- errors.py	2008-07-27 11:37:31 +0000
+++ errors.py	2011-02-18 13:01:03 +0000
@@ -16,7 +16,7 @@
 
 import bzrlib.errors as errors
 from bzrlib.plugins.gtk import _i18n
-from dialog import error_dialog, info_dialog, warning_dialog
+from dialog import error_dialog, info_dialog
 
 
 def show_bzr_error(unbound):

=== modified file 'mergedirective.py'
--- mergedirective.py	2008-03-14 02:19:21 +0000
+++ mergedirective.py	2011-02-18 13:01:03 +0000
@@ -22,7 +22,6 @@
 
 import bzrlib
 import gtk
-import os
 
 from bzrlib.plugins.gtk.branchbox import BranchSelectionBox
 

=== modified file 'missing.py'
--- missing.py	2007-12-06 23:37:06 +0000
+++ missing.py	2011-02-18 13:01:03 +0000
@@ -22,10 +22,10 @@
 
 import gtk
 
-from bzrlib.config import GlobalConfig
 from bzrlib.missing import find_unmerged
 
-from revisionview import RevisionView
+from bzrlib.plugins.gtk.revisionview import RevisionView
+
 
 class MissingWindow(gtk.Dialog):
     """Displays revisions present in one branch but missing in 

=== modified file 'nautilus-bzr.py'
--- nautilus-bzr.py	2009-08-24 05:45:14 +0000
+++ nautilus-bzr.py	2011-02-18 13:01:03 +0000
@@ -12,14 +12,12 @@
 from bzrlib.branch import Branch
 from bzrlib.bzrdir import BzrDir
 from bzrlib.errors import NotBranchError, NoWorkingTree, UnsupportedProtocol
-from bzrlib.tree import file_status
 from bzrlib.workingtree import WorkingTree
 from bzrlib.config import GlobalConfig
 
 from bzrlib.plugin import load_plugins
 load_plugins()
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.commands import cmd_gannotate, start_viz_window
 
 print "Bazaar nautilus module initialized"

=== modified file 'notify.py'
--- notify.py	2010-03-03 14:10:25 +0000
+++ notify.py	2011-02-18 13:01:03 +0000
@@ -35,6 +35,7 @@
 
 
 class NotifyPopupMenu(gtk.Menu):
+
     def __init__(self):
         super(NotifyPopupMenu, self).__init__()
         self.create_items()

=== modified file 'preferences/__init__.py'
--- preferences/__init__.py	2008-10-28 16:02:01 +0000
+++ preferences/__init__.py	2011-02-18 13:01:03 +0000
@@ -23,9 +23,9 @@
 import gtk
 
 from bzrlib.config import GlobalConfig
-from identity import IdentityPage
-from plugins import PluginsPage
-from notifications import NotificationsPage
+from bzrlib.plugins.gtk.preferences.identity import IdentityPage
+from bzrlib.plugins.gtk.preferences.plugins import PluginsPage
+from bzrlib.plugins.gtk.preferences.notifications import NotificationsPage
 
 class PreferencesWindow(gtk.Dialog):
     """Displays global preferences windows."""

=== modified file 'preferences/identity.py'
--- preferences/identity.py	2008-10-25 06:02:09 +0000
+++ preferences/identity.py	2011-02-18 13:01:03 +0000
@@ -23,6 +23,7 @@
 import gtk
 
 class IdentityPage(gtk.Table):
+
     def __init__(self, config):
         self.config = config
         gtk.Table.__init__(self, rows=4, columns=2)

=== modified file 'preferences/notifications.py'
--- preferences/notifications.py	2008-10-30 13:48:44 +0000
+++ preferences/notifications.py	2011-02-18 13:01:03 +0000
@@ -33,11 +33,12 @@
 
 
 class NotificationsPage(gtk.VBox):
+
     def __init__(self, config, homogeneous=False, spacing=6):
         self.config = config
         gtk.VBox.__init__(self, homogeneous=homogeneous, spacing=spacing)
         self.set_spacing(spacing) # The vertical one
-        
+
         lan_frame = gtk.Frame("LAN Notifications")
 
         lan_vbox = gtk.VBox()
@@ -67,12 +68,12 @@
         self.pack_start(email_frame)
 
         cia_frame = gtk.Frame("CIA notifications")
-        
+
         cia_user_hbox = gtk.HBox()
         cia_user_hbox.pack_start(gtk.Label("Author name"))
         self.cia_user = gtk.Entry()
         cia_user_hbox.pack_start(self.cia_user)
-    
+
         cia_frame.add(cia_user_hbox)
         cia_frame.set_sensitive(has_cia())
 

=== modified file 'preferences/plugins.py'
--- preferences/plugins.py	2008-10-25 06:02:09 +0000
+++ preferences/plugins.py	2011-02-18 13:01:03 +0000
@@ -23,6 +23,7 @@
 import gtk
 
 class PluginsPage(gtk.VPaned):
+
     def __init__(self):
         gtk.VPaned.__init__(self)
         self.set_border_width(12)
@@ -56,14 +57,14 @@
         column.pack_start(cell, expand=True)
         column.add_attribute(cell, "text", 1)
         treeview.append_column(column)
-        
+
         import bzrlib.plugin
         plugins = bzrlib.plugin.plugins()
         plugin_names = plugins.keys()
         plugin_names.sort()
         for name in plugin_names:
             self.model.append([name, getattr(plugins[name], '__file__', None)])
-                 
+
         scrolledwindow = gtk.ScrolledWindow()
         scrolledwindow.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
         scrolledwindow.add_with_viewport(self.table)

=== modified file 'tests/__init__.py'
--- tests/__init__.py	2010-05-29 23:42:20 +0000
+++ tests/__init__.py	2011-02-18 13:01:03 +0000
@@ -14,7 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-from bzrlib import tests
 
 def load_tests(basic_tests, module, loader):
     testmod_names = [

=== modified file 'tests/test_commit.py'
--- tests/test_commit.py	2009-12-02 11:12:51 +0000
+++ tests/test_commit.py	2011-02-18 13:01:03 +0000
@@ -22,7 +22,6 @@
 
 from bzrlib import (
     branch,
-    revision,
     tests,
     uncommit,
     )

=== modified file 'tests/test_diff.py'
--- tests/test_diff.py	2008-10-22 07:56:53 +0000
+++ tests/test_diff.py	2011-02-18 13:01:03 +0000
@@ -102,6 +102,7 @@
 
 
 class MockWindow(object):
+
     def __init__(self):
         self.diff = MockDiffWidget()
         self.merge_successful = False

=== modified file 'tests/test_history.py'
--- tests/test_history.py	2007-03-09 17:47:28 +0000
+++ tests/test_history.py	2011-02-18 13:01:03 +0000
@@ -14,12 +14,14 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
+from bzrlib import config
 from bzrlib.tests import TestCaseInTempDir
+
 from bzrlib.plugins.gtk.history import UrlHistory
 
-from bzrlib import config
 
 class TestsUrlHistory(TestCaseInTempDir):
+
     def setUp(self):
         super(TestsUrlHistory, self).setUp()
         self.config = config.GlobalConfig()

=== modified file 'tests/test_linegraph.py'
--- tests/test_linegraph.py	2009-06-09 14:51:48 +0000
+++ tests/test_linegraph.py	2011-02-18 13:01:03 +0000
@@ -16,12 +16,8 @@
 
 """Test the linegraph functionality."""
 
-import os
-
-import gtk
-
 from bzrlib import (
-	graph,
+    graph,
     tests,
     )
 
@@ -29,12 +25,13 @@
 
 
 class TestLinegraph(tests.TestCase):
-	def get_graph(self, dict):
-		return graph.Graph(graph.DictParentsProvider(dict))
-
-	def test_simple(self):
-		lg = linegraph(self.get_graph({"A": ("B", "C"), "B": ()}), ["A"])
-		self.assertEquals(lg,  
+
+    def get_graph(self, dict):
+        return graph.Graph(graph.DictParentsProvider(dict))
+
+    def test_simple(self):
+        lg = linegraph(self.get_graph({"A": ("B", "C"), "B": ()}), ["A"])
+        self.assertEquals(lg,  
             ([
                ['A', (0, 0), [(0, 0, 0)], ['B'], [], (2,)],
                ['B', (0, 0), [], (), ['A'], (1,)]

=== modified file 'tests/test_revisionview.py'
--- tests/test_revisionview.py	2009-06-10 18:07:35 +0000
+++ tests/test_revisionview.py	2011-02-18 13:01:03 +0000
@@ -16,13 +16,8 @@
 
 """Test the RevisionView functionality."""
 
-import os
-
-import gtk
-
 from bzrlib import (
     tests,
-    revision,
     )
 try:
     from bzrlib import bencode

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2011-02-18 11:53:18 +0000
+++ viz/branchwin.py	2011-02-18 13:01:03 +0000
@@ -9,18 +9,15 @@
 
 
 import gtk
-import gobject
-import pango
 
 from bzrlib.plugins.gtk import icon_path
-from bzrlib.plugins.gtk.branchview import TreeView, treemodel
-from bzrlib.plugins.gtk.tags import AddTagDialog
+from bzrlib.plugins.gtk.branchview import TreeView
 from bzrlib.plugins.gtk.preferences import PreferencesWindow
 from bzrlib.plugins.gtk.revisionmenu import RevisionMenu
 from bzrlib.plugins.gtk.window import Window
 
-from bzrlib.config import BranchConfig, GlobalConfig
-from bzrlib.revision import Revision, NULL_REVISION
+from bzrlib.config import GlobalConfig
+from bzrlib.revision import NULL_REVISION
 from bzrlib.trace import mutter
 
 class BranchWindow(Window):
@@ -140,7 +137,7 @@
 
         self.treeview.connect('tag-added', lambda w, t, r: self._update_tags())
         vbox.show()
-    
+
     def construct_menubar(self):
         menubar = gtk.MenuBar()
 
@@ -150,10 +147,10 @@
 
         file_menu_close = gtk.ImageMenuItem(gtk.STOCK_CLOSE, self.accel_group)
         file_menu_close.connect('activate', lambda x: self.destroy())
-        
+
         file_menu_quit = gtk.ImageMenuItem(gtk.STOCK_QUIT, self.accel_group)
         file_menu_quit.connect('activate', lambda x: gtk.main_quit())
-        
+
         if self._parent is not None:
             file_menu.add(file_menu_close)
         file_menu.add(file_menu_quit)
@@ -191,25 +188,25 @@
         view_menu_compact = gtk.CheckMenuItem("Show Compact Graph")
         view_menu_compact.set_active(self.compact_view)
         view_menu_compact.connect('activate', self._brokenlines_toggled_cb)
-        
+
         view_menu_diffs = gtk.CheckMenuItem("Show Diffs")
         view_menu_diffs.set_active(False)
         if self.config.get_user_option('viz-show-diffs') == 'True':
             view_menu_diffs.set_active(True)
         view_menu_diffs.connect('toggled', self._diff_visibility_changed)
-        
+
         view_menu_wide_diffs = gtk.CheckMenuItem("Wide Diffs")
         view_menu_wide_diffs.set_active(False)
         if self.config.get_user_option('viz-wide-diffs') == 'True':
             view_menu_wide_diffs.set_active(True)
         view_menu_wide_diffs.connect('toggled', self._diff_placement_changed)
-        
+
         view_menu_wrap_diffs = gtk.CheckMenuItem("Wrap _Long Lines in Diffs")
         view_menu_wrap_diffs.set_active(False)
         if self.config.get_user_option('viz-wrap-diffs') == 'True':
             view_menu_wrap_diffs.set_active(True)
         view_menu_wrap_diffs.connect('toggled', self._diff_wrap_changed)
-                
+
         view_menu.add(view_menu_toolbar)
         view_menu.add(view_menu_compact)
         view_menu.add(gtk.SeparatorMenuItem())
@@ -236,7 +233,7 @@
         go_menu.set_accel_group(self.accel_group)
         go_menuitem = gtk.MenuItem("_Go")
         go_menuitem.set_submenu(go_menu)
-        
+
         go_menu_next = self.next_rev_action.create_menu_item()
         go_menu_prev = self.prev_rev_action.create_menu_item()
 
@@ -455,11 +452,11 @@
 
         self.show_diff(revision.revision_id, parent_id)
         self.treeview.grab_focus()
-        
+
     def _back_clicked_cb(self, *args):
         """Callback for when the back button is clicked."""
         self.treeview.back()
-        
+
     def _fwd_clicked_cb(self, *args):
         """Callback for when the forward button is clicked."""
         self.treeview.forward()
@@ -513,7 +510,7 @@
                 return
 
         dialog = SearchDialog(index)
-        
+
         if dialog.run() == gtk.RESPONSE_OK:
             self.set_revision(dialog.get_revision())
 
@@ -521,7 +518,6 @@
 
     def _about_dialog_cb(self, w):
         from bzrlib.plugins.gtk.about import AboutDialog
-
         AboutDialog().run()
 
     def _col_visibility_changed(self, col, property):
@@ -562,16 +558,11 @@
         self._make_diff_nonzero_size()
 
         self.treeview.emit('revision-selected')
-    
+
     def _diff_wrap_changed(self, widget):
         """Toggle word wrap in the diff widget."""
         self.config.set_user_option('viz-wrap-diffs', widget.get_active())
         self.diff._on_wraplines_toggled(widget)
-    
-    def _show_about_cb(self, w):
-        dialog = AboutDialog()
-        dialog.connect('response', lambda d,r: d.destroy())
-        dialog.run()
 
     def _refresh_clicked(self, w):
         self.treeview.refresh()

